<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\ProdutoFrotaPresenter;
use Schaffen\Gef\Repositories\ProdutoFrotaRepository;
use Schaffen\Gef\Models\ProdutoFrota;
use Schaffen\Gef\Validators\ProdutoFrotaValidator;

/**
 * Class ProdutoFrotaRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class ProdutoFrotaRepositoryEloquent extends BaseRepository implements ProdutoFrotaRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return ProdutoFrota::class;
    }


   public function presenter()
   {
      return ProdutoFrotaPresenter::class;
   }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }
    
}
